> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get top emitters



## OpenAPI

````yaml openapi/findity-admin-api.json GET /carbonemissions/topemitters
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /carbonemissions/topemitters:
    get:
      tags:
        - Carbon emissions
      summary: Get top emitters
      operationId: getTopEmitters
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/type'
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/max-2'
        - $ref: '#/components/parameters/offset-2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopEmitters'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: query
      name: organizationId
      required: true
      description: The organization id of the carbon emissions
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    type:
      in: query
      name: type
      required: true
      description: The type of the emission. Required type for the travel tab is "travel"
      schema:
        type: string
        enum:
          - emissions
          - travel
      example: emissions
    fromDate:
      in: query
      name: fromDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2020-01-20'
    toDate:
      in: query
      name: toDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2018-01-23'
    max-2:
      name: max
      in: query
      description: Max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset-2:
      name: offset
      in: query
      description: Offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    TopEmitters:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Emitter'
      example:
        meta:
          count: 1
          total: 1
        data: []
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    Emitter:
      type: object
      properties:
        firstName:
          type: string
          description: first name
        lastName:
          type: string
          description: last name
        totalEmission:
          type: number
          description: Total expense emissions in organization for specific person
        emissionUnit:
          type: string
          description: Unit of emission
        profileImage:
          type: string
          description: profile image of person
        percentageOfMax:
          type: number
          description: >-
            percentage of the highest value for total expense emission on a
            person in the current organization
      example:
        firstName: firstName
        lastName: lastName
        totalEmission: 100
        emissionUnit: kg
        profileImage: http://image.com/image.png
        percentageOfMax: 35
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````